=== modified file 'ChangeLog'
--- ChangeLog	2024-06-10 19:29:29 +0000
+++ ChangeLog	2024-06-16 17:14:29 +0000
@@ -1,3 +1,9 @@
+2024-06-16         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* interpret.h (r_interpret): Op_push: When converting a
+	Node_elem_new into a Node_var, clear the MPFN and MPZN flags.
+	Allows the test suite to run again with -M.
+
 2024-06-10         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* main.c (nostalgia): Remved function.

=== modified file 'interpret.h'
--- interpret.h	2023-10-08 19:20:10 +0000
+++ interpret.h	2024-06-16 17:14:29 +0000
@@ -222,6 +222,7 @@
 					// convert very original untyped to scalar
 					m->type = Node_var;
 					m->var_value = dupnode(Nnull_string);
+					m->flags &= ~(MPFN | MPZN);
 
 					// set up local param by value
 					m = dupnode(Nnull_string);
@@ -242,6 +243,7 @@
 					// convert very original untyped to scalar
 					m->type = Node_var;
 					m->var_value = dupnode(Nnull_string);
+					m->flags &= ~(MPFN | MPZN);
 
 					// set up local param by value
 					DEREF(m);

